Skip to main content
POST
/
api
/
v1
/
tts
/
pronunciation-dictionaries
/
{dictionary_id}
/
remove-rules
Remove pronunciation dictionary rules
curl --request POST \
  --url https://dev.voice.ai/api/v1/tts/pronunciation-dictionaries/{dictionary_id}/remove-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "rule_ids": []
}'
{
  "id": "<string>",
  "name": "<string>",
  "language": "<string>",
  "current_version": 123,
  "created_at_unix": 123,
  "updated_at_unix": 123,
  "rules": [],
  "versions": []
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer

Path Parameters

dictionary_id
string<uuid>
required

Body

application/json
rule_ids
string[]

Stable rule IDs to remove

Response

Successful Response

id
string
required

Dictionary identifier

name
string
required

Dictionary display name

language
string
required

Dictionary language code

current_version
integer
required

Current active version number

created_at_unix
integer
required

Creation timestamp in unix seconds

updated_at_unix
integer
required

Last update timestamp in unix seconds

rules
PronunciationRuleResponse · object[]
required

Rules in the active version

versions
PronunciationDictionaryVersionSummaryResponse · object[]
required

Version history